Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.index.keys
Class KeysSearcher

    java.lang.Object
      org.apache.cassandra.db.index.SecondaryIndexSearcher
          org.apache.cassandra.db.index.keys.KeysSearcher

    public class KeysSearcher

extends SecondaryIndexSearcher

Field Summary

Fields inherited from class org.apache.cassandra.db.index.SecondaryIndexSearcher
`baseCfs, columns, indexManager`

Constructor Summary
`KeysSearcher(SecondaryIndexManager indexManager, java.util.Set<java.nio.ByteBuffer> columns)`

Method Summary
`java.util.List<Row>` | `search(IndexClause clause, AbstractBounds range, IFilter dataFilter)`

Methods inherited from class org.apache.cassandra.db.index.SecondaryIndexSearcher
`getExtraFilter, satisfies, satisfies`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeysSearcher

    public KeysSearcher(SecondaryIndexManager indexManager,
                        java.util.Set<java.nio.ByteBuffer> columns)

Method Detail

### search

    public java.util.List<Row> search(IndexClause clause,
                                      AbstractBounds range,
                                      IFilter dataFilter)

  Specified by:
    `search` in class `SecondaryIndexSearcher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Apache Software Foundation